Subject: Re: bug#47614: [security] Chunked store references in .zo files in Racket 8
From: Mark H Weaver <[email-masked]>
To: Ludovic Courtès <[email-masked]>, Philip McGrath <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Apr 2021 05:25:47 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:
> IIUC, now that <https://issues.guix.gnu.org/47180> has been closed,
> this bug is fixed.  Am I right?

Yes, I believe so.  All store items referenced by Racket now seem to be
properly grafted, so I'm closing this bug now.

The more general issue with the grafting code--namely that since commit
57bdd79e48, it no longer has the desirable property of checking every
byte against an expected value before rewriting it, which can lead to
silent corruption of files such as Racket .zo files if any store items
references sneak in--can be addressed in another bug report.

     Thanks,
       Mark